okay, finally I was able to compile & install the extension with the standalone 
FF4 & xulrunner
That's what I did:
 - Download xulrunner 2.0 and xulrunner 2.0 sdk from 
http://releases.mozilla.org/pub/mozilla.org/xulrunner/releases/2.0/
 - install it into /opt/xulrunner/2.0 (runtime) and /opt/xulrunner/2.0-dev (sdk)
 - get trunk from bzr
 - ./autogen.sh LIBXUL_2_0_CFLAGS="-I/opt/xulrunner/2.0 
-I/opt/xulrunner/2.0-dev/include/nspr -I/usr/include/nspr" 
LIBXUL_2_0_LIBS="-L/opt/xulrunner/2.0-dev/lib" 
XPIDL_BIN=/opt/xulrunner/2.0-dev/bin/xpidl XUL_IDLDIR=/opt/xulrunner/2.0-dev/idl
 - make
 - go to firefox-40-libzg and run make local-install, copy 
xpcom_fire...@zeitgeist-project.com folder into your profile's extension folder

done.
probably that will be helpful for somebody.

-- 
You received this bug notification because you are a member of Zeitgeist
Framework Team, which is subscribed to Zeitgeist Data-Sources.
https://bugs.launchpad.net/bugs/709103

Title:
  Firefox extension doesn't work with FF4

Status in Zeitgeist Data-Providers:
  In Progress

Bug description:
  When installed and up it shows alert box
  "TypeError: 
Components.classes['@zeitgeist-project.com/DATAPROVIDER/firefox-xpcom;1'] is 
undefined"
  and does so every time new window is opened.

  Also previous FF4 betas were affected.

_______________________________________________
Mailing list: https://launchpad.net/~zeitgeist
Post to     : zeitgeist@lists.launchpad.net
Unsubscribe : https://launchpad.net/~zeitgeist
More help   : https://help.launchpad.net/ListHelp

Reply via email to